/** @file notification.c 
*   @brief User Notification Definition File
*   @date 15.Mar.2012
*   @version 03.01.00
*
*   This file  defines  empty  notification  routines.
*   The user needs to remove the while loop and define 
*   the sequence.
*
*/

/* Include Files */

#include "esm.h"
#include "sys_selftest.h"
#include "gio.h"
#include "sci.h"
/* USER CODE BEGIN (0) */
/* USER CODE END */

void esmGroup1Notification(uint32_t channel)
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (1) */
/* USER CODE END */

}

/* USER CODE BEGIN (2) */
/* USER CODE END */

void esmGroup2Notification(uint32_t channel)
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (3) */
/* USER CODE END */

}

/* USER CODE BEGIN (4) */
/* USER CODE END */

void memoryPort0TestFailNotification(uint32_t groupSelect, uint32_t dataSelect, uint32_t address, uint32_t data)
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (5) */
/* USER CODE END */

}

/* USER CODE BEGIN (6) */
/* USER CODE END */

void memoryPort1TestFailNotification(uint32_t groupSelect, uint32_t dataSelect, uint32_t address, uint32_t data)
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (7) */
/* USER CODE END */

}

/* USER CODE BEGIN (8) */
/* USER CODE END */
void gioNotification(int bit)
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (19) */
/* USER CODE END */

}

/* USER CODE BEGIN (20) */
/* USER CODE END */

void sciNotification(sciBASE_t *sci, uint32_t flags)     
{
/*  enter user code and remove the while loop... */
    while(1);
/* USER CODE BEGIN (29) */
/* USER CODE END */

}

/* USER CODE BEGIN (30) */
/* USER CODE END */
